community forum

[Archived] osu! crashing on start up

posted
Total Posts
23
show more
Topic Starter
ruarifinn

Kyonko Hizara wrote:

Your problem seems to be similar to this one: p/5147496/ So do a fresh reinstall of the client.
I've deleted everything to do with osu! and tried to reinstall but it just came up with the same error :/
[K]enshi
Try to replace osu!.exe with this.
Topic Starter
ruarifinn

[K]enshi wrote:

Try to replace osu!.exe with this.
Nope didn't work.

Though I managed to get the Fallback Version running, but the moment I update to a different version It crashes again
Lacrimosa

ruarifinn wrote:

Though I managed to get the Fallback Version running, but the moment I update to a different version It crashes again
Try enabling Compatibility Mode. You can do so through a recovery dialog which pops up if you hold Shift while launching osu!. You can also switch to different builds from there.
Topic Starter
ruarifinn

Nikosbks wrote:

ruarifinn wrote:

Though I managed to get the Fallback Version running, but the moment I update to a different version It crashes again
Try enabling Compatibility Mode. You can do so through a recovery dialog which pops up if you hold Shift while launching osu!. You can also switch to different builds from there.
I tried, but the recovery dialog didn't pop up so I'm kinda lost :/
Lacrimosa

ruarifinn wrote:

I tried, but the recovery dialog didn't pop up so I'm kinda lost :/
That's weird. Are you certain you kept holding it until a window pop up?
Topic Starter
ruarifinn

Nikosbks wrote:

ruarifinn wrote:

I tried, but the recovery dialog didn't pop up so I'm kinda lost :/
That's weird. Are you certain you kept holding it until a window pop up?
I held shift from the second I clicked to launch osu! and nothing happens
Lacrimosa
Weird... Anyway, you said you are able to run osu! on the Fallback version. So open osu!, got to options, and enable Compatibility Mode from there. Then, try to switch to different builds.
Topic Starter
ruarifinn

Nikosbks wrote:

Weird... Anyway, you said you are able to run osu! on the Fallback version. So open osu!, got to options, and enable Compatibility Mode from there. Then, try to switch to different builds.
Where in the setting is Compatibility Mode, I've looked and see nothing close to it. If I try going to a different version it just crashes and wont start
Lacrimosa
It should look like this.

Topic Starter
ruarifinn
Apparently the Fallback Version doesn't have it

Dntm8kmeeatu
Yes, Fallback doesn't have Compatibility mode, Instead they have a direct option for DirectX.

Just to be sure, You wouldn't happen to have an outdated version of Plays.tv running would you? It comes packaged in raptr.
Pawsu
Fallback doesn't have a Compatibility mode option since DirectX is available. All that Compatibility mode does is translates OpenGL to DirectX.
Topic Starter
ruarifinn

Dntm8kmeeatu wrote:

Yes, Fallback doesn't have Compatibility mode, Instead they have a direct option for DirectX.

Just to be sure, You wouldn't happen to have an outdated version of Plays.tv running would you? It comes packaged in raptr.
Oh Ok, and no I don't have Plays.tv installed.
Topic Starter
ruarifinn
I think maybe something wrong with my registry or something to do with the OS. So I'm thinking of just doing a fresh windows install, it's feels like my only option at this stage and I'm kinda missing osu!

Thoughts?
[K]enshi

ruarifinn wrote:

I think maybe something wrong with my registry or something to do with the OS. So I'm thinking of just doing a fresh windows install, it's feels like my only option at this stage and I'm kinda missing osu!

Thoughts?
I'd recommend you waiting for ~a week or so. I don't really have any further idea how to help you, but I'm pretty sure someone else has.
Obelisk
I've got this exact same error im running on win xp 32bit sp2

i hope this gets fixed asap can only use fallback version
Topic Starter
ruarifinn

Traumatiser wrote:

I've got this exact same error im running on win xp 32bit sp2

i hope this gets fixed asap can only use fallback version
It sucks, and I've yet to find a fix ;_;

ppy help plz
Bara-
Try updating to any of the 3 other builds
Then open osu!.<Pc username>.cfg
The look for the line 'Renderer=•Something•"
Change •Something• into d3d

If what Pawsu said is true, this should at least allow you to open it


Edit: If this doesn'r work, go to the bottom, and look for the following line
"CanForceOptimusCompatibility"
Make sure it has 1 as value
Obelisk
just want to put it out their i updated my win xp sp2 to sp3 and I think it fixed it right now it actually opens osu installer i dont have to use old installer so im guessing its fixed

for people on winxp could be a fix i guess
show more
Please sign in to reply.

New reply